#!/bin/sh

BIN_GET_KEY_VALUE="/bin/get_key_value"
CONFIG_PATH="/var/packages/WebDAVServer/target/etc/webdav.cfg"

ENABLE_HTTP_KEY="enable_http"
ENABLE_HTTPS_KEY="enable_https"
ENABLE_CALDAV_KEY="enable_caldav"

ENABLE_HTTP=`$BIN_GET_KEY_VALUE $CONFIG_PATH $ENABLE_HTTP_KEY`
ENABLE_HTTPS=`$BIN_GET_KEY_VALUE $CONFIG_PATH $ENABLE_HTTPS_KEY`
ENABLE_CALDAV=`$BIN_GET_KEY_VALUE $CONFIG_PATH $ENABLE_CALDAV_KEY`

if [ "$ENABLE_HTTP" == "yes" -o "$ENABLE_HTTPS" == "yes" ]; then
    ENABLE_WEBDAV="yes"
else
    ENABLE_WEBDAV="no"
fi

if [ "$ENABLE_CALDAV" != "yes" ]; then
	ENABLE_CALDAV="no"
fi

echo -n "{"

echo -n \"webdav_enable\":\"$ENABLE_WEBDAV\",
echo -n \"webdav_http_enable\":\"$ENABLE_HTTP\",
echo -n \"webdav_https_enable\":\"$ENABLE_HTTPS\",
echo -n \"caldav_enable\":\"$ENABLE_CALDAV\",

# let version be the last one msg
echo -n \"collector_version\":1

echo "}"



