#!/bin/sh

PATH_PREFIX="/var/packages/WebDAVServer/target"
SERVICE_CONF="$PATH_PREFIX/etc/webdav.cfg"
WEBDAV_SC="$PATH_PREFIX/etc/WebDAVServer.sc"
BIN_CREATE_CFG="$PATH_PREFIX/scripts/synowebdavserver_create_cfg.sh"
BIN_SYNOPKGHELPER="/usr/syno/sbin/synopkghelper"
BIN_GET_KEY_VALUE="/usr/syno/bin/synogetkeyvalue"

HTTP_PORT=`$BIN_GET_KEY_VALUE $SERVICE_CONF http_port`
HTTPS_PORT=`$BIN_GET_KEY_VALUE $SERVICE_CONF https_port`

if [ $HTTP_PORT == "" -o $HTTPS_PORT == "" ]; then
	$BIN_CREATE_CFG
	HTTP_PORT=`$BIN_GET_KEY_VALUE $SERVICE_CONF http_port`
	HTTPS_PORT=`$BIN_GET_KEY_VALUE $SERVICE_CONF https_port`
fi

echo -en \
"[webdav_http]
title=\"WebDAV Server\"
desc=\"WebDAV Server\"
port_forward=\"yes\"
dst.ports=\"$HTTP_PORT/tcp\"

[webdavs_https]
title=\"WebDAV Server(SSL)\"
desc=\"WebDAV Server\"
port_forward=\"yes\"
dst.ports=\"$HTTPS_PORT/tcp\"
" > $WEBDAV_SC

$BIN_SYNOPKGHELPER update WebDAVServer port-config
